curl --request POST \
--url https://api.stackone.com/unified/lms/users/{id}/completions \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"learning_object_external_reference": "learning-content-123",
"passthrough": {
"other_known_names": "John Doe"
},
"result": {
"source_value": "<string>"
},
"completed_at": "2021-07-21T14:00:00.000Z",
"learning_object_id": "e3gd34-23tr21-er234-345er56",
"time_spent": "PT1H30M45S",
"content_external_reference": "SOFTWARE-ENG-LV1-TRAINING-VIDEO-1-CONTENT",
"content_id": "16873-ENG-VIDEO-1",
"score": {
"percentage": 87,
"raw_value": "87 / 100"
}
}
'import requests
url = "https://api.stackone.com/unified/lms/users/{id}/completions"
payload = {
"learning_object_external_reference": "learning-content-123",
"passthrough": { "other_known_names": "John Doe" },
"result": { "source_value": "<string>" },
"completed_at": "2021-07-21T14:00:00.000Z",
"learning_object_id": "e3gd34-23tr21-er234-345er56",
"time_spent": "PT1H30M45S",
"content_external_reference": "SOFTWARE-ENG-LV1-TRAINING-VIDEO-1-CONTENT",
"content_id": "16873-ENG-VIDEO-1",
"score": {
"percentage": 87,
"raw_value": "87 / 100"
}
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
learning_object_external_reference: 'learning-content-123',
passthrough: {other_known_names: 'John Doe'},
result: {source_value: '<string>'},
completed_at: '2021-07-21T14:00:00.000Z',
learning_object_id: 'e3gd34-23tr21-er234-345er56',
time_spent: 'PT1H30M45S',
content_external_reference: 'SOFTWARE-ENG-LV1-TRAINING-VIDEO-1-CONTENT',
content_id: '16873-ENG-VIDEO-1',
score: {percentage: 87, raw_value: '87 / 100'}
})
};
fetch('https://api.stackone.com/unified/lms/users/{id}/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 201,
"message": "Record created successfully.",
"timestamp": "2021-01-01T01:01:01.000Z",
"data": {
"id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3"
}
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Create User Completion
Create a completed learning record for a user.
This is the record of a user completing a learning object.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
The account identifier
Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)
"heartbeat"
Path Parameters
Body
The external reference of the learning object associated with this completion, this is the main identifier for creating completions.
"learning-content-123"
Value to pass through to the provider
{ "other_known_names": "John Doe" }The result of the completion
Show child attributes
Show child attributes
The date the content was completed
"2021-07-21T14:00:00.000Z"
The id of the learning object associated with this completion. This is not required unless specified in an integration.
"e3gd34-23tr21-er234-345er56"
ISO 8601 duration format representing the time spent on completing the learning object
"PT1H30M45S"
The external reference associated with this content
"SOFTWARE-ENG-LV1-TRAINING-VIDEO-1-CONTENT"
The content ID associated with this completion
"16873-ENG-VIDEO-1"
The score associated with this completion
Show child attributes
Show child attributes
{ "percentage": 87, "raw_value": "87 / 100" }Was this page helpful?